/*	You may freely copy, distribute and reuse the code in this example.
 *	NeXT disclaims any warranty of any kind, expressed or implied, as to
 *	its fitness for any particular use.
 */

#import <remote/NXConnection.h>
#import <appkit/appkit.h>
#import "callProvider.h"

@interface CallClient : Object

{
    id customerForm; /* the Form containing name, street, city, state, phone */
    id questionText; /* the TextField containing the customer query */
    id answerText; /* the TextField containing customer support answer */
    id callProvider; /* proxy for the server's call provider */
    id infoPanel; /* the application's info panel */
}

- init;
- awakeFromNib;
- retrieveCall:sender;
- saveCall:sender;
- clearForm:sender;
- showInfoPanel:sender;
- free;

@end
